Subject: Offline Message from Joshua Miller: I have a swagtron T6 hoverboard, and it h
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 20 Mar 2022 03:23:38 -0000

From: Joshua Miller <[email-masked]>
Phone: 8107934133
Location: Davison, United States
URL: https://swagtron.com/
Department: SwagTron

I have a swagtron T6 hoverboard, and it has stopped wanting to charge. I plug the charger in, the light on the charger turns green, and I plug it in to the hoverboard. The light on the charger never turns red. 

I was wondering if the charger is defective, and if you could direct me to where I could obtain a new charger.

----
Zopim
https://www.zopim.com